% SatNOGS COMMS System Design Document - Test Readiness Document
% Copyright (C) 2020, 2021, 2022, 2023, 2024 Libre Space Foundation
%
% This work is licensed under a
% Creative Commons Attribution-ShareAlike 4.0 International License.
%
% You should have received a copy of the license along with this
% work.  If not, see <http://creativecommons.org/licenses/by-sa/4.0/>.

% Linter settings
% chktex-file -2
% chktex-file 35

\documentclass[english,title,a4paper]{report}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[english]{babel}
\usepackage{float}
\usepackage[hidelinks]{hyperref}
\usepackage[toc,acronyms,section,nopostdot,nonumberlist,section=section,numberedsection]{glossaries}
\usepackage[toc,page]{appendix}
\usepackage{graphicx}
\usepackage{titlesec}
\usepackage{amssymb}
\usepackage{textcomp,gensymb}
\usepackage{booktabs}
\usepackage{pifont}
\usepackage{verbatim}
\usepackage{rotating}
\usepackage{makecell}
\usepackage{lipsum}
\usepackage{longtable}
\usepackage{rotating}
\usepackage{indentfirst}
\usepackage{multirow}
\usepackage{array}
\usepackage[yyyymmdd]{datetime}
\usepackage{fancyhdr}
\usepackage{lastpage}
\renewcommand{\dateseparator}{-}
\newcolumntype{C}[1]{>{\centering\let\newline\\\arraybackslash\hspace{0pt}}m{#1}}

\usepackage{hyperref}
\hypersetup{
    colorlinks=true,
    linkcolor=black,
    filecolor=magenta,
    urlcolor=blue,
    citecolor=black,
}

\newcommand{\cmark}{\ding{51}}%
\newcommand{\xmark}{\ding{55}}%

\fancypagestyle{plain}{
  \fancyhf{}
  \fancyhead[L]{\includegraphics[width=1.5cm]{diagrams/LSF_HD_Icon_Color.png}} %chktex-file 25
  \fancyhead[R]{SatNOGS COMMS\\Test Readiness Document}
  \fancyfoot[L]{Version \version}
  \fancyfoot[C]{\thepage{} of~\pageref{LastPage}}
  \fancyfoot[R]{\copyright{} Libre Space Foundation}
  \renewcommand{\headrulewidth}{0.4pt}
  \renewcommand{\footrulewidth}{0.4pt}
}
\pagestyle{plain}
\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{3}



\input{include/version}
\input{include/requirements-urls}
\input{include/test-cases-urls}
\input{include/replacements.tex}

\makeglossaries{}

%% Acronyms
\input{glossaries/acronyms}

\title{Test Readiness Document\\\large{SatNOGS COMMS}}
\author{\includegraphics[scale=0.2]{diagrams/lsf-logo.png}}
\date{Version \version}

\titleformat{\chapter}[hang]
{\normalfont\bfseries\Huge}{\thechapter.}{10pt}{}

\begin{document}

\hypersetup{pageanchor=false}
\maketitle
\hypersetup{pageanchor=true}
\tableofcontents

\chapter{Changelog}

\begin{tabular}{llp{6.5cm}}
  \toprule
  Version & Date               & Changes                                             \\ \midrule
  0.9   & Sept 28, 2023    & \textbullet{} Add changelog \newline
                               \textbullet{} Update Test Facilities by included EMC Lab \newline
                               \textbullet{} Update Deviation of EMC Test by included EN alternative tests to MIL-STD-461 \newline
                               \textbullet{} Add EMC test cases in Appendix A, A.5.1-A.5.6 \\ \midrule
  1.0   & Dec 18, 2023      & \textbullet{} Add environmental test deviations \newline
                              \textbullet{} Add Doppler Tracking performance deviation \newline
                              \textbullet{} Update Test Campaign Roadmap \newline
                              \textbullet{} Close Test Case 92 according to ESA review, AB-20 \newline
                              \textbullet{} Update Test Cases 50, 51 according to ESA review, AB-12 \newline
                              \textbullet{} Update Test Cases 12, 13, 14, 16 according to ESA review, AB-06 \newline
                              \textbullet{} Update Test Cases 93, 94, 95, 96 according to ESA review, AB-15 \newline
                              \textbullet{} Update Test Case 141 to include REQ-019 and REQ-020 \newline
                              \textbullet{} Update Test Cases 135, 137, 138, 139 to include BER test TC-136 \\ \midrule
  1.1   & Dec 29, 2023      & No changes \\ \midrule
  1.2   & Mar 19, 2024      & Add EMC test figures and tables based on standards \\ \midrule
  1.3   & Apr 30, 2024      & \textbullet{} Update test sequence and remove test campaign plan \newline
                              \textbullet{} Add missing Appendices \\ \bottomrule
\end{tabular}
\newpage
\begin{tabular}{llp{6.5cm}}
  \toprule
  Version & Date               & Changes                                             \\ \midrule
  1.4     & Nov 05, 2024       & \textbullet{} Add test case for external reference clock TC-147 \newline
                                 \textbullet{} Update Basic Functional Test, TC-131, by including eMMC write and read operation \newline
                                 \textbullet{} Add test case for RGMII FPGA interface TC-143 \newline
                                 \textbullet{} Add test case for over voltage protection TC-146\\ \midrule
  1.5   & Dec 10, 2024         & Add a section, Testing, to describe in general the test set up           \\  \midrule
1.5.1   & Dec 10, 2024         & Fix static GitLab pipeline             \\ \midrule
1.5.2   & Dec 18, 2024         & No changes                             \\ \bottomrule
\end{tabular}

\newpage
\printglossary[type=\acronymtype]

\chapter{Introduction}

\section{Purpose and Scope}

This document intends to describe the implementation of the test programme. This includes the necessary documentation for the SatNOGS COMMS test campaign as well as verification and test procedures which verify that SatNOGS COMMS complies with the defined System Requirement Specification.

\chapter{Test Plan and Procedures}
The test plan and procedures of SatNOGS COMMS are separated into six test categories:

\begin{itemize}
    \item Documentation
    \item Interface
    \item Functional
    \item Performance
    \item \acrfull{emc}
    \item Environmental
    \item \acrfull{e2e}
\end{itemize}

A set of test cases for each of the categories above is described in \hyperref[appendix:TC]{Appendix A}. Each test case includes the ID of the test, its description, the needed equipment for its execution, the steps that the tester needs to follow (sequence), the criteria for passing the test (expected result) and finally, the system requirements that the test case covers.

\section{Testing}

The SatNOGS COMMS software and hardware components are tested using the hardware in the loop approach depicted in \autoref{fig:qa-testing}.
Using the techniques provided by the \acrshort{sdr} Testbed~\cite{sdr-testbed} project, a hardware simulation setup constantly tests all the affected components emulating a ground station communicating with a satellite equipped with the SatNOGS COMMS transceiver.
To do so a \acrshort{sbc} computer running all the required ground station software components is used.
The \acrshort{sbc} is responsible to modulate and demodulate the baseband digital signal.
During uplink, the digital signal is fed to the gr-leo~\cite{gr-leo} GNU Radio module.
This module emulates a dynamic satellite channel.
It introduces path loss, Doppler frequency shift as well as other type of attenuation, like rainfall, gas, and/or pointing loss.
The digital signal with the \acrshort{leo} channel impairments, is transmitted using an SDR device with the help of the gr-soapy~\cite{gr-soapy} module.
The resulting RF signal is fed into a network of attenuators and RF switches.
The programmable alternators introduce extra attenuation if necessary, whereas the RF-switches select the appropriate signal paths, based on the band of interest.
The same approach is used for downlink testing too.
Throughout the \acrshort{qa} testing session, both the ground station as well as the SatNOGS transceiver, produce logs with the performance of their receivers.

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/qa-testing.pdf}
  \caption{QA testing with hardware in the loop}\label{fig:qa-testing}
\end{figure}


\chapter{Test Facilities}

\section{Readiness Report}

\subsubsection{LSF Test Facility}
\acrshort{lsf} lab is the test facility that will accommodate the predefined and automated tests according to the test plan. Lab's hardware equipment is well-maintained, configured and calibrated to be able to measure with accuracy and precision during SatNOGS COMMS test process.

Furthermore, the facility's cleanliness, maintenance and safety status, as well as the environmental conditions are the appropriate ones in order to host the test campaign.

\subsubsection{External Test Facilities}
For \acrfull{tvac} and vibration testing that can not be performed in \acrshort{lsf} test facility, \acrshort{lsf} has secured access to external test facilities which comply with the requirements and conditions of the related test procedures.

The \acrfull{emc} tests will be performed in High Voltage Laboratory at NTUA.\@
The external laboratory is complied with IEC 61000 standard.
\acrfull{lsf} test facility has tools for \acrfull{emc} pre-compiance.

\section{Tools and Test Facility}
In this section are described tools, \acrshort{gse} and test facilities that are available and required to execute the verification and test procedures.

\subsubsection{Collection of Test Data}

From previous development efforts and SatNOGS development, there are available random and structured data, frames etc that can be used in the test campaign.
\begin{itemize}
    \item \href{https://gitlab.com/librespacefoundation/satnogs-comms/satnogs-comms-ctrl}{SatNOGS COMMS CLI Control}
    \item \href{https://satnogs.org/}{SatNOGS Project}
    \item GNU-Radio to capture I-Q data
    \item GNU-Octave for data post processing 
\end{itemize}

\subsubsection{RF and EMC Measurement Equipment}
The electronics lab of \acrshort{lsf} facility is equipped with:
\begin{itemize}
    \item spectrum analyzer: Rigol RSA5032-TG
    \item DC power analyzer: Joulescope
    \item DC power supply: Rigol DP831
    \item vector network analyzer: LibreVNA
    \item DC load: Rigol DL3021
    \item signal generator: Rigol DSG3030
    \item oscilloscope: Rigol DS4024
    \item \acrshort{trms} multi-meter: Rigol DM3058E
\end{itemize}
 
For pre-compliance EMC test, the laboratory contains special tools such as:
\begin{itemize}
    \item LISN:Elektor Dual DC LISN (150 kHz – 200 MHz)
    \item power supply filter: Wurth Elektronik-810912014
    \item Log periodic antenna: Ettus Research LP0965
    \item Biconical antenna: Aaronia BicoLOG 30100
    \item\acrshort{rf} amplifier: Mini-Circuits ZX60-P103LN+
\end{itemize}

\subsubsection{UHF and S-band Receivers and Transmitters}

\acrshort{sdr} devices that meet required specifications are available in \acrshort{lsf} facility.
\begin{itemize}
    \item USRP B210 with a USB 3.0 cable
\end{itemize}

\subsubsection{Software Simulators/Emulators}

\acrshort{cots} and open source simulators and emulators have been used in previous COMMS development efforts by \acrshort{lsf} and are available in \acrshort{lsf} facility.

\begin{itemize}
    \item  gr-LEO~\cite{gr-leo}
\end{itemize}

\subsubsection{Microcontroller and FPGA Equipment}

Programmers and JTAG debuggers for microcontroller and FPGA exists in \acrshort{lsf} facility.

\begin{itemize}
    \item Lattice HW-USBN-2B programmer with cables for SatNOGS-COMMS and PC
    \item Segger-J-link debuger with cables for SatNOGS-COMMS and PC
    \item JTAG-HS3 programmer with cables for SatNOGS-COMMS and PC
\end{itemize}

\subsubsection{TVAC for Environmental Testing}

\acrshort{lsf} has secured access to the NanoSat Lab TVAC facility that meets the verification and test requirements.
Additional tools from \acrshort{lsf}:
\begin{itemize}
    \item Vernier caliper with at least 150mm measurement capability, Facom 1300
    \item Scale with 0.1g accuracy, Kern PCB 10000--1
\end{itemize}

\subsubsection{Vibration Testing Equipment}

\acrshort{lsf} has secured access to the NanoSat Lab vibrational testing facilities at the Technical University of Catalonia that meet the verification and test requirements.
Additional tools from \acrshort{lsf}:
\begin{itemize}
    \item Vernier caliper with at least 150mm measurement capability, Facom 1300
    \item Scale with 0.1g accuracy, Kern PCB 10000--1
\end{itemize}

\subsubsection{EMC Equipment}

\acrshort{lsf} has secured access to the High Voltage Laboratory testing facilities at National Technical University of Athens that meet the verification and test requirements.

\section{Cleanliness Conditions}
To minimize cross-contamination, all hardware equipment in the \acrshort{lsf} lab facility is cleared using dry air.

Large components, like \acrshortpl{pcb}, are wiped and cleaned with \acrshort{ipa} and deionized water pre-wetted low particle wipers and they are stored in sealed antistatic \acrshort{esd}-safe bags until their final usage.

\section{Test Setup}
There are two main test setups that will be used during the test campaign and they are depicted in the following diagrams:

\begin{figure}[H]
  \centering
  \caption{Test setup with non-realistic conditions}\label{fig:eft-nrc}
  \includegraphics[keepaspectratio, width=\textwidth]{diagrams/e2e-functional-testing-non-realistic-conditions.png}
\end{figure}

\begin{figure}[H]
  \centering
  \caption{Test setup with realistic conditions}\label{fig:eft-rc}
  \includegraphics[keepaspectratio, width=\textwidth]{diagrams/e2e-functional-testing-realistic-conditions.png}
\end{figure}

Calibration procedure and data are available in the next sub-section.
Following the parts that are used in both set-up.

\begin{itemize}
    \item \textbf{Power Splitters}:
    \begin{itemize}
       \item Mini-Circuits ZFSC-2--372-S, for S-Band
       \item Mini-Circuits ZFSC-2--5-S, for UHF
    \end{itemize}
    \item \textbf{RF Cables} (Red lines):
    \begin{itemize}
       \item Mini-Circuits 141--8SM+
       \item Amphenol RF 245107--02--06.00
    \end{itemize}
    \item \textbf{SDR}: USRP B210 with a USB 3.0 cable (Blue lines), part of Reference Ground Station and of emulation of communication channel by using gr-LEO~\cite{gr-leo}
    \item \textbf{Attenuator}: Mini-Circuits K2-BW2+
    \item \textbf{PC/104 FlatSat board}: \href{https://gitlab.com/librespacefoundation/pc104-flatsat#pinout}{PC104 Flatsat}. In order to mount SatNOGS COMMS in to PC/104 FlatSat board it needs:
    \begin{itemize}
        \item (2$\times$) SatNOGS COMMS to PC/104 FlatSat mounting bolts (M3$\times$5 DIN912)
        \item (2$\times$) SatNOGS COMMS to PC/104 FlatSat mounting nuts (M3)
        \item (2$\times$) SatNOGS COMMS to PC/104 FlatSat mounting spacers (M3$\times$11 male to female)
        \item (3$\times$) Shunt jumpers for the PC/104 FlatSat (2.54mm pitch)
        \item Allen key for M3 DIN912
        \item Semi-permanent (loctite 243-blue) thread-locker
        \item Torque wrench with proper bits for M3 DIN912. Minimum measurable torque must be 0.5 Nm or less and maximum measurable torque must be 15 Nm or higher.
    \end{itemize}
    \item \textbf{DC power supply and cables with standard banana plugs (Green lines)}: capable of at least 1A@12V and with current limit function, Rigol DP831
    \item \textbf{USB-CAN adapter}: with cable that one edge has a connector with 4-pin Molex Picoblade (CAN-H, CAN-L, GND, not used) for PC/104 FlatSat board Figure~\ref{fig:flatsat-can-connector-pinout} and in the other edge has a connector with JST-GH connector for Zubax Babel USB-CAN adapter Figure~\ref{fig:zubax-babel-pinout}. Also it is needed a Micro USB type B cable (Blue line).
\end{itemize}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/flatsat-can-connector-pinout.png}
  \caption{PC/104 FlatSat CAN connector pinout}\label{fig:flatsat-can-connector-pinout}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=0.7\textwidth]{diagrams/zubax-babel-pinout.png}
  \caption{Zubax Babel pinout}\label{fig:zubax-babel-pinout}
\end{figure}

\subsection{RF Components Calibration}

For \acrshort{rf} component calibration is used:
\begin{itemize}
    \item a calibrated  \acrshort{rf} signal generator Rigol DSG3030.
    For frequency calibration the signal generator has a high stable OCXO reference clock, part number: OCXO-A08.
    The power output is calibrated from -60dBm to +13dBm (9kHz to 3GHz) with uncertainty and step 0.5dB.
    \item a calibrated Spectrum Analyzer Rigol RSA5032-TG with level measurement uncertainty: 0.5 dB.
\end{itemize}
Documents with calibration data and certification of instruments are placed in the LSF headquarters and LSF cloud.

In order to measure the losses from RF cables, attenuators and Power Splitters (sum port with other two ports):
\begin{itemize}
    \item add a label to the component
    \item tune the RF signal generator and spectrum analyzer in the same frequency
    \item connect the RF cable or attenuator (first calibrate RF cables, then adapters and attenuators and last Power Splitters)
    \item tune the RF signal generator at -10dBm output power in CW mode
    \item enable RF signal generator
    \item configure the spectrum analyzer in span like 100kHz
    \item measure in spectrum analyzer the output power
    \item repeat the measurements in frequencies from tables in appendix\ref{sec:freq}
    \item create a table like below to record all calibration data for each RF component that is part of test report
\end{itemize}

\begin{table}[!ht]
    \centering
    \begin{tabular}{|l|l|}
    \hline
        Part Number: &  \\ \hline
        Label: &  \\ \hline
        Expected loss (dB): &  \\ \hline
        Input Power (dBm): &  \\ \hline
        Frequency (MHz) & Output Power (dBm) \\ \hline
         &  \\ \hline
         &  \\ \hline
    \end{tabular}
\end{table}

\subsection{USRP B210 Calibration}\label{sec:usrp_calib}

In order to achieve specific signal levels at COMMS receiver, it needs to calibrate \acrshort{sdr} USRP B210.
To do that a calibrated spectrum analyzer and a calibrated \acrshort{rf} cable are used.
A GNU Radio flow-graph is used to generate a CW signal in frequencies: 400MHz, 435MHz, 2100MHz and 2430MHz in different power levels.
The power level in GNU Radio is tuned by gr-Soapy out-of-tree module with parameter PGA gain with range: $[0, 89.75, 0.25]$ dB.
Then create a table like below for different frequencies.

\begin{table}[!ht]
    \centering
    \begin{tabular}{|l|l|}
    \hline
        Frequency (MHz): &  \\ \hline
        PGA gain & Output Power (dBm) \\ \hline
         & \\ \hline
         & \\ \hline
    \end{tabular}
\end{table}

\subsection{Calculate minimum received signal of COMMS}\label{sec:min_rx}

According to link budget in system design document for S-Band up-link in worst case scenario at altitude 600km and elevation 5\degree, the received signal at the COMMS antenna port is -93.34dBm.
The margin for a specific modulation is 14.68dB.
The minimum received signal at COMMS antenna port is calculated $-93.34dBm-14.68dB = -108dBm$.
Similarly, in UHF band in the same scenario the minimum received signal at COMMS antenna is $-90.29dBm-17.34dB = -107.6dBm$.

\section{Hazard and safety}
SatNOGS COMMS transceiver is handled, integrated and tested into a controlled and \acrshort{esd}-safe environment.

\chapter{Non-conformances, Waivers Status, and Deviations}
\section{Deviations}

\subsection{EMC Test}
To begin with, according to Tailored ECSS Engineering Standards for In-Orbit Demonstration CubeSat Projects, EMC testing is considered a good practice, but is not mandatory.
The external laboratory provides EMC tests according to IEC 61000 standard.
Because of SatNOGS COMMS is part of Cubesat mission the risk is acceptable.
More details are following by presenting the IEC 61000 alternative of MIL-STD-461 as referred in~\cite{iec-emc}:
\begin{itemize}
    \item MIL-STD-461 CS101: Alternative method only for common mode disturbance: EN 61000--4--16 at test level 3 (dc-150kHz at 10Vrms maximum) % (issue - 137)
    \item MIL-STD-461 CS114: Alternative method EN 61000--4--6 at test level 2 (150kHz-200MHZ at 29V maximum), for power input port and CAN Bus port %  (issue - 138)
    \item MIL-STD-461 CS116: External laboratory does not provide this method % (issue - 139)
    \item MIL-STD-461 RS103: Alternative method EN 61000--4--3 at test level 2 (80MHz-6GHz at $10V/m$ maximum) % (issue - 135)
    \item MIL-STD-461 CE102: Alternative method EN 61000--6--4: 10kHz-10MHz % (issue - 133)
    \item MIL-STD-461 RE102: Alternative method EN 61000--6--4: 10kHz-18GHz % (issue - 134)
\end{itemize}
As for the ESD test, the board was designed by using ESD protection diodes in each interface. 
Additionally, the probability of having ESD issues is not significant in our application.
In the laboratory SatNOGS COMMS is considered an ESD sensitive device that needs special equipment to handle it.
During integration in the spacecraft's deployer, the board is disabled and the rocket has the proper protection to avoid any electrostatic discharge during launch and deployment.

\subsection{Test and verify ground station performance}

The verification is performed as whole system (transceiver) due to missing of reference instrument to characterize the ground station transmitter performance.
This performance is compared with the theoretical BER curves provided by CCSDS 130.1-G-2. 
SatNOGS COMMS uses the ground station as reference system.

\subsection{Test and verify I-Q data streaming}

The verification is performed by using the loop-back test of AT86RF215 transceiver for both bands and modes, receiver and transmitter.
The performance of \acrshort{rf} front-end does not affect the verification of I-Q data streaming.
For that reason can be tested separately.

\subsection{Single event mitigation}

The verification is performed by reviewing the schematic and the source code of the COMMS firmware.

\subsection{Recovery mechanisms from failure}

The verification is performed by reviewing the schematic and the source code of the COMMS firmware.

\subsection{COMMS and Ground Station BER performance}

The verification of COMMS and ground station \acrshort{ber} performance is done by using the frame error rate (FER) instead of \acrshort{ber}.
The reasoning is that the base-band core of transceiver provides the frame of received data.
From the other hand ground station provides the bits of received data but the implementation of a proper \acrshort{ber} test is complicated.
In system design document at Modulation and Coding appendix there is a formula that gives a good approximation of \acrshort{ber} by using frame error rate (FER).

\subsection{COMMS Doppler tracking performance}

The verification of COMMS in Doppler tracking would be different.
The ground station transmit a frequency Doppler corrected signal.
A frequency Doppler tracking mechanism would be implemented with I-Q mode.
The test case is related with the tolerances in frequency offset of receiver base-band core.
\hyperref[fig:eft-nrc]{Use non-Realistic Conditions Test Setup} to test the tolerances in frequency offset of receiver base-band core.
Set up \acrshort{gs} and COMMS to transmit and receive the same modulation scheme (\hyperref[sec:mod]{Modulation Parameters}) and frequency (\hyperref[sec:freq]{Frequency Parameters}).
Use an attenuation of 30dB between COMMS and \acrshort{gs}.
Command the \acrshort{gs} to transmit and COMMS to receive with zero offset.
Evaluate the communication.
Repeat the test by changing the frequency offset of \acrshort{gs} in the range of -2.5kHz to 2.5kHz with step 0.25kHz.

\subsection{Environmental Tests}

\subsubsection{Thermal Vacuum Cycling Test}

Due to limitations in external laboratory time and the availability of liquid nitrogen for the cold plateau, we have had to reduce the number of thermal cycles from four to one.
This adjustment is necessary to ensure that the testing process can be completed within the available time-frame and resources.
The impact of this change should be carefully monitored, as it may affect the results of the testing process.
Therefore, while this adjustment is necessary due to the constraints, it is essential to ensure that the testing process still provides a comprehensive and accurate assessment of the system's performance under thermal vacuum conditions, as described in the environmental test report.

\subsubsection{Vibration Test}

For vibration test campaign, the \acrshort{dut} was tested in each axis instead of following the existing test cases.
In more detail, in each axis tested with the following sequence:
\begin{enumerate}
  \item Resonance Survey
  \item Sine Vibration
  \item Quasi Static Shock
  \item Random Vibration
  \item Resonance Survey
\end{enumerate}
The reasoning behind this was to avoid changing the set up on vibration table.
The change in sequence does not affect the results of the test.

\chapter{Test Campaign Roadmap}

In the table below is described the sequence of execution for each of the test cases groups. Some of the test cases may be executed more than once during the testing campaign. The order of execution for each test case in each group is set by following the increased numbers of the Test Case ID.\@

\begin{table}[h]
\centering
\begin{tabular}{C{8em}cC{6em}C{6em}}
    \toprule
    \textbf{Test Cases} & \textbf{Sequence} & \textbf{Location}  \\
    \midrule
    \hyperref[sec:interface]{Interface}
                        & 1st               & \acrshort{lsf} Lab  \\
    \midrule
    \hyperref[sec:functional]{Functional}
                        & 2nd               & \acrshort{lsf} Lab  \\
    \midrule
    \hyperref[sec:performance]{Performance}
                        & 3rd               & \acrshort{lsf} Lab  \\
    \midrule
    \hyperref[sec:environmental]{Environmental} (including necessary Functional ones)
                        & 4th               & Technical University of Catalonia \\
    \midrule
    \hyperref[sec:interface]{Interface}
                        & 5th               & \acrshort{lsf} Lab  \\
    \midrule
    \hyperref[sec:functional]{Functional}
                        & 6th               & \acrshort{lsf} Lab  \\
    \midrule
    \hyperref[sec:emc]{EMC}
                        & 7th               &  \acrshort{lsf} Lab \\
    \midrule
    \hyperref[sec:e2e]{E2E} 
                        & 8th               & \acrshort{lsf} Lab \\
    \bottomrule
  \end{tabular}
\end{table}

\chapter{Test Management}
\section{Assignment of Responsibilities}
Below are the roles that will be involved in the SatNOGS COMMS test campaign and their responsibilities:

\begin{itemize}
    \item \textbf{Testers} will be responsible to perform and operate the test process of SatNOGS COMMS\@.
    \item \textbf{QA and Test Manager} will be responsible for the quality assurance and safety of the test process.
    \item \textbf{\acrshort{lsf} Test Facility Manager} will be responsible to ensure \acrshort{lsf} test facility readiness before and during the test process.
    \item \textbf{External Facility Personnel} will be responsible to ensure external facilities' readiness before and during the test process.
\end{itemize}

\section{Personnel Qualification and Availability}
To be described after finalizing the test schedule.

\chapter{Test Pass/Fail Criteria}
For a successful test campaign we need to pass 100\% of the test cases defined in \hyperref[appendix:TC]{Appendix A}. 
For each test case pass criteria are described in the section ``Expected Result'', which should be fully satisfied in order to mark the test case as successful.

\begin{appendices}

\chapter{Test Cases}\label{appendix:TC}

\IfFileExists{include/test-cases}{\input{include/test-cases}}{} % chktex 27

\section{Documentation}\label{sec:documentation}
\ifdefined\DocTest{}
\DocTest{}
\fi
\clearpage

\section{Interface}\label{sec:interface}
\ifdefined\Interface{}
\Interface{}
\fi
\clearpage

\section{Functional}\label{sec:functional}
\ifdefined\Functional{}
\Functional{}
\fi
\clearpage

\section{Performance}\label{sec:performance}
\ifdefined\Performance{}
\Performance{}
\fi
\clearpage

\section{EMC}\label{sec:EMC}
\ifdefined\EMC{}
\EMC{}
\fi
\clearpage

\section{Environmental}\label{sec:environmental}
\ifdefined\Environmental{}
\Environmental{}
\fi
\clearpage

\section{End To End (E2E)}\label{sec:e2e}
\ifdefined\EndToEnd{}
\EndToEnd{}
\fi
\clearpage

\chapter{Parameter Tables}\label{appendix:PT}

\section{Frequency Parameters}\label{sec:freq}

Below are the frequency parameters for each interface (UHF, S-Band) and for each direction (Downlink, Uplink). Downlink direction is from the SatNOGS COMMS to \acrshort{gs}, while Uplink direction is from \acrshort{gs} to SatNOGS COMMS.\@

\begin{table}[H]
\centering
\begin{tabular}{|c|}
\hline
\textbf{UHF Downlink}          \\ \hline
\textbf{Center Frequency (Hz)} \\ \hline
400000000                      \\ \hline
400125000                      \\ \hline
405000000                      \\ \hline
405250000                      \\ \hline
410000000                      \\ \hline
410375000                      \\ \hline
415000000                      \\ \hline
415500000                      \\ \hline
420000000                      \\ \hline
420625000                      \\ \hline
425000000                      \\ \hline
425750000                      \\ \hline
430000000                      \\ \hline
430875000                      \\ \hline
435000000                      \\ \hline
436000000                      \\ \hline
440000000                      \\ \hline
\end{tabular}
\quad
\centering
\begin{tabular}{|c|}
\hline
\textbf{UHF Uplink}            \\ \hline
\textbf{Center Frequency (Hz)} \\ \hline
400000000                      \\ \hline
400125000                      \\ \hline
405000000                      \\ \hline
405250000                      \\ \hline
410000000                      \\ \hline
410375000                      \\ \hline
415000000                      \\ \hline
415500000                      \\ \hline
420000000                      \\ \hline
420625000                      \\ \hline
425000000                      \\ \hline
425750000                      \\ \hline
430000000                      \\ \hline
430875000                      \\ \hline
435000000                      \\ \hline
436000000                      \\ \hline
440000000                      \\ \hline
\end{tabular}
\end{table}

\begin{table}[h]
\centering
\begin{tabular}{|c|}
\hline
\textbf{S-Band Downlink}       \\ \hline
\textbf{Center Frequency (Hz)} \\ \hline
2200000000                     \\ \hline
2200125000                     \\ \hline
2210000000                     \\ \hline
2210250000                     \\ \hline
2220000000                     \\ \hline
2220375000                     \\ \hline
2230000000                     \\ \hline
2230500000                     \\ \hline
2240000000                     \\ \hline
2240625000                     \\ \hline
2250000000                     \\ \hline
2250750000                     \\ \hline
2260000000                     \\ \hline
2260875000                     \\ \hline
2270000000                     \\ \hline
2271000000                     \\ \hline
2280000000                     \\ \hline
2281125000                     \\ \hline
2290000000                     \\ \hline
\end{tabular}
\quad
\centering
\begin{tabular}{|c|}
\hline
\textbf{S-Band Uplink}         \\ \hline
\textbf{Center Frequency (Hz)} \\ \hline
2025000000                     \\ \hline
2025125000                     \\ \hline
2035000000                     \\ \hline
2035250000                     \\ \hline
2045000000                     \\ \hline
2045375000                     \\ \hline
2055000000                     \\ \hline
2055500000                     \\ \hline
2065000000                     \\ \hline
2065625000                     \\ \hline
2075000000                     \\ \hline
2075750000                     \\ \hline
2085000000                     \\ \hline
2085875000                     \\ \hline
2095000000                     \\ \hline
2096000000                     \\ \hline
2105000000                     \\ \hline
2106125000                     \\ \hline
2110000000                     \\ \hline
\end{tabular}
\end{table}

\section{Modulation Parameters}\label{sec:mod}

\begin{table}[H]
\centering
\resizebox{\textwidth}{!}{%
\begin{tabular}{|cccccc|}
\hline
\multicolumn{6}{|c|}{\textbf{UHF Downlink}}                                                                                                                                                                                                                                                                      \\ \hline
\multicolumn{1}{|c|}{\textbf{Modulation}}            & \multicolumn{1}{c|}{\textbf{Coding}}                               & \multicolumn{1}{c|}{\textbf{Frame Size prior coding (bytes)}} & \multicolumn{1}{c|}{\textbf{Symbol rate}} & \multicolumn{1}{c|}{\textbf{TX Power (dBm)}} & \textbf{Attenuation (dB)} \\ \hline
\multicolumn{1}{|c|}{\multirow{9}{*}{MSK/FSK m=0.5}} & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS RS(223,255)}}            & \multicolumn{1}{c|}{\multirow{45}{*}{128}}                    & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2}}               & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2 + RS(223,255)}} & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{1-2} \cline{4-6} 
\multicolumn{1}{|c|}{\multirow{9}{*}{FSK m=1.0}}     & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS RS(223,255)}}            & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2}}               & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2 + RS(223,255)}} & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{1-2} \cline{4-6} 
\multicolumn{1}{|c|}{\multirow{9}{*}{FSK m=1.5}}     & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS RS(223,255)}}            & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2}}               & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2 + RS(223,255)}} & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{1-2} \cline{4-6} 
\multicolumn{1}{|c|}{\multirow{9}{*}{FSK m=2.0}}     & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS RS(223,255)}}            & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2}}               & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2 + RS(223,255)}} & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{1-2} \cline{4-6} 
\multicolumn{1}{|c|}{\multirow{9}{*}{BPSK}}          & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS RS(223,255)}}            & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2}}               & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-2} \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS CC R=1/2 + RS(223,255)}} & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \hline
\end{tabular}%
}
\end{table}

\begin{table}[h]
\centering
\resizebox{\textwidth}{!}{%
\begin{tabular}{|cccccc|}
\hline
\multicolumn{6}{|c|}{\textbf{S-Band Downlink}}                                                                                                                                                                                                                                                                   \\ \hline
\multicolumn{1}{|c|}{\textbf{Modulation}}            & \multicolumn{1}{c|}{\textbf{Coding}}                               & \multicolumn{1}{c|}{\textbf{Frame Size prior coding (bytes)}} & \multicolumn{1}{c|}{\textbf{Symbol rate}} & \multicolumn{1}{c|}{\textbf{TX Power (dBm)}} & \textbf{Attenuation (dB)} \\ \hline
\multicolumn{1}{|c|}{\multirow{18}{*}{MSK}}          & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS RS(223,255)}}            & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS CC R=1/2}}               & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS CC R=1/2 + RS(223,255)}} & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \hline
\multicolumn{1}{|c|}{\multirow{18}{*}{BPSK}}         & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS RS(223,255)}}            & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS CC R=1/2}}               & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS CC R=1/2 + RS(223,255)}} & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \hline
\multicolumn{1}{|c|}{\multirow{18}{*}{QPSK}}         & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS RS(223,255)}}            & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS CC R=1/2}}               & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{2-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS CC R=1/2 + RS(223,255)}} & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                              & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \hline
\end{tabular}%
}
\end{table}

\begin{table}[h]
\centering
\resizebox{\columnwidth}{!}{%
\begin{tabular}{|cccccc|}
\hline
\multicolumn{6}{|c|}{\textbf{UHF Uplink}}                                                                                                                                                                                                                                                             \\ \hline
\multicolumn{1}{|c|}{\textbf{Modulation}}            & \multicolumn{1}{c|}{\textbf{Coding}}                    & \multicolumn{1}{c|}{\textbf{Frame Size prior coding (bytes)}} & \multicolumn{1}{c|}{\textbf{Symbol rate}} & \multicolumn{1}{c|}{\textbf{TX Power (dBm)}} & \textbf{Attenuation (dB)} \\ \hline
\multicolumn{1}{|c|}{\multirow{3}{*}{MSK/FSK m=0.5}} & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS RS(223,255)}} & \multicolumn{1}{c|}{\multirow{14}{*}{128}}                    & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{1-2} \cline{4-6} 
\multicolumn{1}{|c|}{\multirow{3}{*}{FSK m=1.0}}     & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS RS(223,255)}} & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{1-2} \cline{4-6} 
\multicolumn{1}{|c|}{\multirow{3}{*}{FSK m=1.5}}     & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS RS(223,255)}} & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{1-2} \cline{4-6} 
\multicolumn{1}{|c|}{\multirow{2}{*}{FSK m=2.0}}     & \multicolumn{1}{c|}{\multirow{2}{*}{CCSDS RS(223,255)}} & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{1-2} \cline{4-6} 
\multicolumn{1}{|c|}{\multirow{3}{*}{BPSK}}          & \multicolumn{1}{c|}{\multirow{3}{*}{CCSDS RS(223,255)}} & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{2.50E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{5.00E+04}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \hline
\end{tabular}%
}
\end{table}


\begin{table}[h]
\centering
\resizebox{\columnwidth}{!}{%
\begin{tabular}{|cccccc|}
\hline
\multicolumn{6}{|c|}{\textbf{S-Band Uplink}}                                                                                                                                                                                                                                                          \\ \hline
\multicolumn{1}{|c|}{\textbf{Modulation}}            & \multicolumn{1}{c|}{\textbf{Coding}}                    & \multicolumn{1}{c|}{\textbf{Frame Size prior coding (bytes)}} & \multicolumn{1}{c|}{\textbf{Symbol rate}} & \multicolumn{1}{c|}{\textbf{TX Power (dBm)}} & \textbf{Attenuation (dB)} \\ \hline
\multicolumn{1}{|c|}{\multirow{6}{*}{MSK}}           & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS RS(223,255)}} & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \hline
\multicolumn{1}{|c|}{\multirow{6}{*}{BPSK}}          & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS RS(223,255)}} & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \hline
\multicolumn{1}{|c|}{\multirow{6}{*}{QPSK}}          & \multicolumn{1}{c|}{\multirow{6}{*}{CCSDS RS(223,255)}} & \multicolumn{1}{c|}{\multirow{3}{*}{256}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6}  % chktex 36
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{3-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{\multirow{3}{*}{512}}                     & \multicolumn{1}{c|}{6.00E+02}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{8.00E+05}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \cline{4-6} 
\multicolumn{1}{|c|}{}                               & \multicolumn{1}{c|}{}                                   & \multicolumn{1}{c|}{}                                         & \multicolumn{1}{c|}{1.00E+06}             & \multicolumn{1}{c|}{TBD}                     & TBD                       \\ \hline
\end{tabular}%
}
\end{table}

\chapter{EMC Test Figures and Tables}\label{appendix:emc-figures-tables}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-2.png}
  \caption{\acrshort{ce} EMC test setup (MIL---STD--461--F Figure 2)}\label{fig:mil-std-461-f-fig-2}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-a_3.png}
  \caption{5uH \acrshort{lisn} impedance profile (MIL---STD--461--F Figure A3)}\label{fig:mil-std-461-f-fig-a-3}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-ce102_2.png}
  \caption{\acrshort{ce} measurement system check setup (MIL---STD--461--F Figure CE102--2)}\label{fig:mil-std-461-f-fig-ce102-2}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-ce102_1.png}
  \caption{\acrshort{ce} limit (MIL---STD--461--F Figure CE102--1)}\label{fig:mil-std-461-f-fig-ce102-1}
\end{figure}

\begin{table}[H]
\centering
\begin{tabular}{|c|c|c|c|}
\hline
Frequency Range & 6 dB Bandwidth & Dwell Time & \begin{tabular}[c]{@{}c@{}}Minimum Measurement Time\\ Analog Measurement Receiver\end{tabular} \\ \hline
30 Hz--1 MHz    & 10 Hz          & 0.15 sec   & 0.015 sec/Hz                                                                                   \\ \hline
1 kHz--10 kHz   & 100 Hz         & 0.015 sec  & 0.15 sec/kHz                                                                                   \\ \hline
10 kHz--150 kHz & 1 kHz          & 0.015 sec  & 0.015 sec/kHz                                                                                  \\ \hline
150 kHz--30 MHz & 10 kHz         & 0.015 sec  & 1.5 sec/MHz                                                                                    \\ \hline
30 MHz--1 GHz   & 100 kHz        & 0.015 sec  & 0.15 sec/MHz                                                                                   \\ \hline
Above 1 GHz     & 1 MHz          & 0.015 sec  & 15 sec/GHz                                                                                     \\ \hline
\end{tabular}\label{tab:mil-std-461-f-tab-II}
\caption{Bandwidth and measurement times (MIL---STD--461--F Table---II)}
\end{table}

\begin{table}[H]
\centering
\begin{tabular}{|c|c|c|}
\hline
Frequency Range & \begin{tabular}[c]{@{}c@{}}Analog Scans\\ Maximum Scan Rates\end{tabular} & \begin{tabular}[c]{@{}c@{}}Stepped Scans\\ Maximum Step Size\end{tabular} \\ \hline
30 Hz--1 MHz    & 0.0333 $f_0$/sec                                                          & 0.05 $f_0$                                                                \\ \hline
1 MHz--30 MHz   & 0.00667$f_0$/sec                                                          & 0.01 $f_0$                                                                \\ \hline
30 MHz--1 GHz   & 0.00333 $f_0$/sec                                                         & 0.005 $f_0$                                                               \\ \hline
1 GHz--40 GHz   & 0.00169 $f_0$/sec                                                         & 0.0025 $f_0$                                                              \\ \hline
\end{tabular}\label{tab:mil-std-461-f-tab-III}
\caption{Scan parameters (MIL---STD--461--F Table---III)}
\end{table}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/ecss-e-st-20_07c-rev-1-fig-5_14.png}
  \caption{\acrshort{re} test antenna positioning (ECSS---E---ST--20--07C---Rev-1 Figure 5--14)}\label{fig:ecss-e-st-20-07c-rev-1-fig-5-14}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/ecss-e-st-20_07c-rev-1-fig-5_13.png}
  \caption{\acrshort{re} test basic test setup (ECSS---E---ST--20--07C---Rev-1 Figure 5--13)}\label{fig:ecss-e-st-20-07c-rev-1-fig-5-13}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/ecss-e-st-20_07c-rev-1-fig-a_3.png}
  \caption{\acrshort{re} test limit (ECSS---E---ST--20--07C---Rev-1 Figure A--3)}\label{fig:ecss-e-st-20-07c-rev-1-fig-a-3}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-rs103_2.png}
  \caption{\acrshort{rs} test multiple test antenna locations for frequency >200 MHz (MIL---STD--461--F Figure RS103--2)}\label{fig:mil-std-461-f-fig-rs103-2}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-rs103_3.png}
  \caption{\acrshort{rs} test multiple test antenna locations for N positions, D>3m (MIL---STD--461--F Figure RS103--3)}\label{fig:mil-std-461-f-fig-rs103-3}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-rs103_4.png}
  \caption{\acrshort{rs} test receive antenna setup (MIL---STD--461--F Figure RS103--4)}\label{fig:mil-std-461-f-fig-rs103-4}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-cs101_1.png}
  \caption{\acrshort{cs} test signal voltage level (MIL---STD--461--F Figure CS103--1)}\label{fig:mil-std-461-f-fig-cs101-1}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-cs101_2.png}
  \caption{\acrshort{cs} test signal power level (MIL---STD--461--F Figure CS103--2)}\label{fig:mil-std-461-f-fig-cs101-2}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-cs101_3.png}
  \caption{\acrshort{cs} test calibration setup (MIL---STD--461--F Figure CS103--3)}\label{fig:mil-std-461-f-fig-cs101-3}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-cs101_4.png}
  \caption{\acrshort{cs} test signal injection schematic (MIL---STD--461--F Figure CS103--4)}\label{fig:mil-std-461-f-fig-cs101-4}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-cs114_1.png}
  \caption{\acrshort{cs} test signal calibration limits (MIL---STD--461--F Figure CS114--1)}\label{fig:mil-std-461-f-fig-cs114-1}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-cs114_2.png}
  \caption{Maximum insertion loss for insertion probes (MIL---STD--461--F Figure CS114--2)}\label{fig:mil-std-461-f-fig-cs114-2}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-cs114_3.png}
  \caption{\acrshort{cs} test calibration setup (MIL---STD--461--F Figure CS114--3)}\label{fig:mil-std-461-f-fig-cs114-3}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/mil-std-461-f-fig-cs114_4.png}
  \caption{\acrshort{cs} test bulk cable injection schematic (MIL---STD--461--F Figure CS114--4)}\label{fig:mil-std-461-f-fig-cs114-4}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/ecss-e-st-20_07c-rev-1-fig-5_21.png}
  \caption{\acrshort{cs} test calibration setup (ECSS---E---ST--20--07C---Rev-1 Figure 5--21)}\label{fig:ecss-e-st-20-07c-rev-1-fig-5-21}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/ecss-e-st-20_07c-rev-1-fig-5_22.png}
  \caption{\acrshort{cs} test spike series injection test setup (ECSS---E---ST--20--07C---Rev-1 Figure 5--22)}\label{fig:ecss-e-st-20-07c-rev-1-fig-5-22}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=\textwidth]{diagrams/emc-standards/ecss-e-st-20_07c-rev-1-fig-5_23.png}
  \caption{\acrshort{cs} test spike parallel injection test setup (ECSS---E---ST--20--07C---Rev-1 Figure 5--22)}\label{fig:ecss-e-st-20-07c-rev-1-fig-5-23}
\end{figure}

\end{appendices}

\renewcommand\bibname{References}
\bibliographystyle{unsrt}
\bibliography{references}

\end{document}
